Bug 167791 - Kernel Panic on Tyan K7 Creating Root Device on SCSI HD
Kernel Panic on Tyan K7 Creating Root Device on SCSI HD
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-08 04:35 EDT by David Allen
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Allen 2005-09-08 04:35:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
A fatal error occurs immediately after loading the ext3.ko module:

Creating root device
Mounting root filesystem
mount: error 2 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempting to kill init!
 [<c0121345>] panic+0x42/0x1ca
 [<c01224b1>] profile_task_exit+0x31/0x45
 [<c012424d>] do_exit+0x252/0x35a
 [<c0124375>] next_thread+0x0/0xc
 [<c0103ff9>] syscall_call+0x7/0xb

I can't send any logs because that's as far as she gets. The above was copied by hand from the hung system.

The last working kernel was 2.6.12-1.35_FC3 (including the SMP version). The system is a Tyan K7 (2462) motherboard with 1.5 GB RAM, using the onboard SCSI controllers. Note that the BIOS will allow booting ONLY from SCSI Channel B.

I have already reported install bugs here on this motherboard with FC3 and all versions of FC4 where it takes approx 25 minutes for the installer to find the drive(s) on SCSI Channel B, although this problem seems more related to the ext3 module.

You're killing me here with this motherboard guys! I'm afraid to upgrade to FC4 for fear that I won't be able to use the hardware at all. At least the 2.6.12-1.35 kernel still works in FC3. I was hoping SCSI support would get better with time, but alas, it looks like it's getting worse.

Version-Release number of selected component (if applicable):
Kernel 2.6.12-1.1372_FC3/1376_FC3  (incl. SMB)

How reproducible:
Always

Steps to Reproduce:
1. Run yum -y update (gets latest kernel)
2. Reboot
3. Crash
  

Actual Results:  Kernel Panic trying to mount /root

Expected Results:  Normal boot.

Additional info:
Comment 1 Dave Jones 2005-09-24 01:58:30 EDT
This looks like your initrd is busted, but the latest kernels have prereq of the
latest version of mkinitrd, so that should be taken care of now.

Very odd.

What does your /etc/modprobe.conf look like ?
Comment 2 David Allen 2005-09-24 02:33:55 EDT
Mkinitrd should not be an issue for me as I acquired the latest kernels via Yum.
I have not tried compiling from source - yet. My current installed version of
Mkinitrd is 

[_____@proteus ~]# slocate mkinitrd
/usr/share/man/man8/mkinitrd.8.gz
/var/cache/yum/updates-released/headers/mkinitrd-4.1.18.1-1.i386.hdr
/var/cache/yum/updates-released/packages/mkinitrd-4.1.18.1-1.i386.rpm
/sbin/mkinitrd

[_____@proteus ~]# rpm -qa | grep mkinitrd
mkinitrd-4.1.18.1-1

I don't see how modprobe.conf comes into the picture as the system never ever
mounts to where /etc/ can be read, let alone modprobe.conf. Nevertheless here is
what it looks like under 2.6.12-1.35_FC3 (from which this was sent):

alias eth0 3c59x
alias eth1 3c59x 
alias scsi_hostadapter aic7xxx
alias usb-controller ohci-hcd
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; }; 
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
alias ieee1394-controller ohci1394

Note that the line above starting with "remove" wraps to the next line with
"snd-emu101". The next line in modprobe.conf starts with "alias snd-card-0".
Comment 3 Dave Jones 2005-09-24 14:21:53 EDT
the initrd is constructed based upon the modules in your modprobe.conf
But yours looks fine, so I don't think that's the problem.
Does the latest errata also fail in the same way ? (-1456)

There's also a 2.6.13-1.1525 in updates-testing that is a little more experimental 
due to a larger amount of change, it'd be good to know if that also has this
problem.
Comment 4 David Allen 2005-09-24 17:14:29 EDT
I just updated (via Yum) to 2.6.12-1.1378_FC3(smp) which was apparently released
sometime in the last twelve hours or so. Same results: kernel panic attempting
to mount root; same error messages as above.

I don't know what "(-1456)" refers to - Fedora Core 3's latest kernel is -1378.


So far, not a single 2.6.12 kernel has worked on this box. Also note that I have
previously filed bug reports on FC3; see Bug 15660.

NOTE: In my initial post on this (167791) bug, there is an error in what I said
was the latest kernel that runs on the Tyan K7 2462. That *should* have read
2.6.11-1.35_FC3.
Comment 5 Dave Jones 2006-01-16 17:34:28 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Dave Jones 2006-02-03 01:54:16 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 21:30:56 EDT
Closing per previous comment.
Comment 8 David Allen 2006-05-04 21:55:27 EDT
The problem turns out to be dain bramage on my part. While the entry for / in
fstab was correct, there was a typo in an older entry for / in grub.conf, which
was propagated by successive yum updates to all new grub entries. Once those
entries were corrected this problem went away.

While I could place blame on the update process which builds new grub entries
based on an existing entry, even though it conflicts with fstab, I'm more than
willing to take a beating on this one as I'm sure there's probably a good reason
the update process (RPM?) works the way it does.  ~DJA.

Note You need to log in before you can comment on or make changes to this bug.